<?xml version="1.0" encoding="UTF-8"?>
<systems>
  <system>
    <id>0</id>
    <title>static agent</title>
    <priority>0</priority>
    <components>
      <component>
        <id>0</id>
        <library>Parameters_Vehicle</library>
        <title>ParametersVehicle</title>
        <schedule>
          <priority>500</priority>
          <offset>0</offset>
          <cycle>100</cycle>
          <response>0</response>
        </schedule>
        <parameters/>
        <position>
          <x>40</x>
          <y>466</y>
        </position>
      </component>
      <component>
        <id>2</id>
        <library>AlgorithmAgentFollowingDriverModel</library>
        <title>AlgorithmAgentFollowingDriverModel</title>
        <schedule>
          <priority>310</priority>
          <offset>0</offset>
          <cycle>100</cycle>
          <response>0</response>
        </schedule>
        <parameters>
          <parameter>
            <!--parameter's title: VelocityWish-->
            <id>VelocityWish</id>
            <type>double</type>
            <unit>m/s</unit>
            <value>15</value>
          </parameter>
          <parameter>
            <!--parameter's title: Delta-->
            <id>Delta</id>
            <type>double</type>
            <unit></unit>
            <value>4</value>
          </parameter>
          <parameter>
            <!--parameter's title: TGapWish-->
            <id>TGapWish</id>
            <type>double</type>
            <unit>s</unit>
            <value>1.5</value>
          </parameter>
          <parameter>
            <!--parameter's title: MinDistance-->
            <id>MinDistance</id>
            <type>double</type>
            <unit>m</unit>
            <value>2</value>
          </parameter>
          <parameter>
            <!--parameter's title: MaxAcceleration-->
            <id>MaxAcceleration</id>
            <type>double</type>
            <unit>m/s^2</unit>
            <value>2</value>
          </parameter>
          <parameter>
            <!--parameter's title: MaxDeceleration-->
            <id>MaxDeceleration</id>
            <type>double</type>
            <unit>m/s^2</unit>
            <value>2</value>
          </parameter>
        </parameters>
        <position>
          <x>300</x>
          <y>20</y>
        </position>
      </component>
      <component>
        <id>3</id>
        <library>Algorithm_Longitudinal</library>
        <title>AlgorithmLongitudinal</title>
        <schedule>
          <priority>100</priority>
          <offset>0</offset>
          <cycle>100</cycle>
          <response>0</response>
        </schedule>
        <parameters/>
        <position>
          <x>650</x>
          <y>216</y>
        </position>
      </component>
      <component>
        <id>4</id>
        <library>Algorithm_Lateral</library>
        <title>AlgorithmLateral</title>
        <schedule>
          <priority>100</priority>
          <offset>0</offset>
          <cycle>100</cycle>
          <response>0</response>
        </schedule>
        <parameters/>
        <position>
          <x>652</x>
          <y>381</y>
        </position>
      </component>
      <component>
        <id>50</id>
        <library>Sensor_Driver</library>
        <title>SensorDriver</title>
        <schedule>
          <priority>390</priority>
          <offset>0</offset>
          <cycle>100</cycle>
          <response>0</response>
        </schedule>
        <parameters/>
        <position>
          <x>40</x>
          <y>325</y>
        </position>
      </component>
      <component>
        <id>5</id>
        <library>Action_BrakeSystem</library>
        <title>Action_BrakeSystem</title>
        <schedule>
          <priority>400</priority>
          <offset>0</offset>
          <cycle>1</cycle>
          <response>0</response>
        </schedule>
        <parameters>
          <parameter>
            <!--parameter's title: FrontAxlePercentage-->
            <id>FrontAxlePercentage</id>
            <type>double</type>
            <unit/>
            <value>0.6</value>
          </parameter>
          <parameter>
            <!--parameter's title: BrakeDecelerationInclineRate-->
            <id>BrakeDecelerationInclineRate</id>
            <type>double</type>
            <unit>m/s^3</unit>
            <value>70</value>
          </parameter>
          <parameter>
            <!--parameter's title: BrakeDecelerationDeclineRate-->
            <id>BrakeDecelerationDeclineRate</id>
            <type>double</type>
            <unit>m/s^3</unit>
            <value>70</value>
          </parameter>
          <parameter>
            <!--parameter's title: BrakeResponseTimeMs-->
            <id>BrakeResponseTimeMs</id>
            <type>double</type>
            <unit>ms</unit>
            <value>25</value>
          </parameter>
        </parameters>
        <position>
          <x>568</x>
          <y>20</y>
        </position>
      </component>
      <component>
        <id>6</id>
        <library>Action_Powertrain</library>
        <title>Action_Powertrain</title>
        <schedule>
          <priority>350</priority>
          <offset>0</offset>
          <cycle>1</cycle>
          <response>0</response>
        </schedule>
        <parameters>
          <parameter>
            <!--parameter's title: TypeDrivetrain-->
            <id>TypeDrivetrain</id>
            <type>string</type>
            <unit/>
            <value>FWD</value>
          </parameter>
          <parameter>
            <!--parameter's title: FrontRatioAWD-->
            <id>FrontRatioAWD</id>
            <type>double</type>
            <unit/>
            <value>0.5</value>
          </parameter>
        </parameters>
        <position>
          <x>592</x>
          <y>236</y>
        </position>
      </component>
      <component>
        <id>7</id>
        <library>Action_SteeringSystem</library>
        <title>Action_SteeringSystem</title>
        <schedule>
          <priority>300</priority>
          <offset>0</offset>
          <cycle>1</cycle>
          <response>0</response>
        </schedule>
        <parameters>
          <parameter>
            <!--parameter's title: Tire's toe-->
            <id>Toe</id>
            <type>doubleVector</type>
            <unit/>
            <value>0.0,0.0</value>
          </parameter>
		  <parameter>
            <!--parameter's title: Elasticity-->
            <id>Elasticity</id>
            <type>doubleVector</type>
            <unit/>
            <value>20000</value>
          </parameter>
		  <parameter>
            <!--parameter's title: Overall caster-->
            <id>Caster</id>
            <type>doubleVector</type>
            <unit/>
            <value>0.05</value>
          </parameter>
        </parameters>
        <position>
          <x>567</x>
          <y>404</y>
        </position>
      </component>
      <component>
        <id>8</id>
        <library>Dynamics_TireModel</library>
        <title>Dynamics_TireModel</title>
        <schedule>
          <priority>250</priority>
          <offset>0</offset>
          <cycle>1</cycle>
          <response>0</response>
        </schedule>
       <parameters>
          <parameter>
            <!--parameter's title: Tire's long. max. mu at reference Force -->
            <id>MuTireMaxXFRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>1.1,1.1</value>
          </parameter>
          <parameter>
            <!--parameter's title: Tire's long. max. mu at 2*reference Force -->
            <id>MuTireMaxX2FRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>1.1,1.1</value>
          </parameter>
          <parameter>
            <!--parameter's title: Tire's long. slide mu at reference Force-->
            <id>MuTireSlideXFRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>1.0,1.0</value>
          </parameter>
          <parameter>
            <!--parameter's title: Tire's long. slide mu at 2*reference Force-->
            <id>MuTireSlideX2FRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>1.0,1.0</value>
          </parameter>
          <parameter>
            <!--parameter's title: Tire's long. max slip at reference Force-->
            <id>SlipTireMaxXFRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>0.21,0.21</value>
          </parameter>
          <parameter>
            <!--parameter's title: Tire's long. max slip at 2*reference Force-->
            <id>SlipTireMaxX2FRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>0.21,0.21</value>
          </parameter>
          <parameter>
            <!--parameter's title: Tire's long. slide slip at reference Force-->
            <id>SlipTireSlideXFRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>0.5,0.5</value>
          </parameter>
          <parameter>
            <!--parameter's title: Tire's long. slide slip at 2*reference Force-->
            <id>SlipTireSlideX2FRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>0.5,0.5</value>
          </parameter>
          <parameter>
            <!--parameter's title: Initial long inclination at reference Force-->
            <id>F0pXFRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>15,15</value>
          </parameter>
          <parameter>
            <!--parameter's title: Initial long inclination at reference Force-->
            <id>F0pX2FRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>15,15</value>
          </parameter>
          <parameter>
            <!--parameter's title: Tire's lat. max. mu at reference Force-->
            <id>MuTireMaxYFRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>1.1,1.1</value>
          </parameter>
          <parameter>
            <!--parameter's title: Tire's lat. max. mu at 2*reference Force-->
            <id>MuTireMaxY2FRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>1.1,1.1</value>
          </parameter>
          <parameter>
            <!--parameter's title: Tire's lat. slide mu at reference Force-->
            <id>MuTireSlideYFRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>1,1</value>
          </parameter>
          <parameter>
            <!--parameter's title: Tire's lat. slide mu at 2*reference Force-->
            <id>MuTireSlideY2FRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>1,1</value>
          </parameter>
          <parameter>
            <!--parameter's title: Tire's lat. max slip at reference Force-->
            <id>SlipTireMaxYFRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>0.21,0.21</value>
          </parameter>
          <parameter>
            <!--parameter's title: Tire's lat. max slip at 2*reference Force-->
            <id>SlipTireMaxY2FRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>0.21,0.21</value>
          </parameter>
          <parameter>
            <!--parameter's title: Tire's lat. slide slip at reference Force-->
            <id>SlipTireSlideYFRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>0.5,0.5</value>
          </parameter>
          <parameter>
            <!--parameter's title: Tire's lat. slide slip at 2*reference Force-->
            <id>SlipTireSlideY2FRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>0.5,0.5</value>
          </parameter>
          <parameter>
            <!--parameter's title: Initial lat. inclination at reference Force-->
            <id>F0pYFRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>15,15</value>
          </parameter>
          <parameter>
            <!--parameter's title: Initial lat. inclination at 2*reference Force-->
            <id>F0pY2FRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>15,15</value>
          </parameter>
          <parameter>
            <!--parameter's title: Vertical reference Force-->
            <id>FRef</id>
            <type>doubleVector</type>
            <unit/>
            <value>1,1</value>
          </parameter>
          <parameter>
            <!--parameter's title: Vertical reference Force Normalized-->
            <id>FRefNormalized</id>
            <type>boolVector</type>
            <unit/>
            <value>1,1</value>
          </parameter>
          <parameter>
            <!--parameter's title: Inertia-->
            <id>Inertia</id>
            <type>doubleVector</type>
            <unit>kgm²</unit>
            <value>2,2</value>
          </parameter>
          <parameter>
            <!--parameter's title: Pneumatic trail-->
            <id>PneumaticTrail</id>
            <type>doubleVector</type>
            <unit>m</unit>
            <value>0.3,0.3</value>
          </parameter>
        </parameters>
        <position>
          <x>938</x>
          <y>135</y>
        </position>
      </component>
      <component>
        <id>9</id>
        <library>Dynamics_MotionModel</library>
        <title>Dynamics_MotionModel</title>
        <schedule>
          <priority>200</priority>
          <offset>0</offset>
          <cycle>1</cycle>
          <response>0</response>
        </schedule>
        <parameters/>
        <position>
          <x>1252</x>
          <y>166</y>
        </position>
      </component>
      <component>
        <id>10</id>
        <library>Dynamics_Chassis</library>
        <title>Dynamics_Chassis</title>
        <schedule>
          <priority>10</priority>
          <offset>0</offset>
          <cycle>1</cycle>
          <response>0</response>
        </schedule>
        <parameters>
          <parameter>
            <!--parameter's title: Spring coefficient-->
            <id>SpringCoefficient</id>
            <type>doubleVector</type>
            <unit/>
            <value>1600000,1600000</value>
          </parameter>
          <parameter>
            <!--parameter's title: Damper coefficient-->
            <id>DamperCoefficient</id>
            <type>doubleVector</type>
            <unit/>
            <value>18000,18000</value>
          </parameter>
        </parameters>
        <position>
          <x>1569</x>
          <y>271</y>
        </position>
      </component>
      <component>
        <id>13</id>
        <library>Action_SecondaryDriverTasks</library>
        <title>ActionSecondaryDriverTasks</title>
        <schedule>
          <priority>3</priority>
          <offset>0</offset>
          <cycle>100</cycle>
          <response>0</response>
        </schedule>
        <parameters/>
        <position>
          <x>916</x>
          <y>94</y>
        </position>
      </component>
      <component>
        <id>14</id>
        <library>Action_LongitudinalDriver</library>
        <title>ActionLongitudinalDriver</title>
        <schedule>
          <priority>3</priority>
          <offset>0</offset>
          <cycle>100</cycle>
          <response>0</response>
        </schedule>
        <parameters/>
        <position>
          <x>918</x>
          <y>303</y>
        </position>
      </component>
    </components>
    <connections>
      <connection>
        <id>0</id>
        <source>
          <!--component title: SensorDriver-->
          <component>50</component>
          <!--output title: Driver Signal-->
          <output>0</output>
        </source>
        <target>
          <!--component title: AlgorithmAgentFollowingDriverModel-->
          <component>2</component>
          <!--input title: Driver Signal-->
          <input>0</input>
        </target>
        <target>
          <!--component title: AlgorithmLateral-->
          <component>4</component>
          <!--input title: Driver Signal-->
          <input>101</input>
        </target>
        <target>
          <!--component title: AlgorithmLongitudinal-->
          <component>3</component>
          <!--input title: Driver Signal-->
          <input>3</input>
        </target>
      </connection>
      <connection>
        <id>6</id>
        <source>
          <!--component title: ParametersVehicle-->
          <component>0</component>
          <!--output title: Vehicle Parameters-->
          <output>1</output>
        </source>
        <target>
          <!--component title: AlgorithmLongitudinal-->
          <component>3</component>
          <!--input title: Vehicle Parameters-->
          <input>1</input>
        </target>
        <target>
          <!--component title: AlgorithmLateral-->
          <component>4</component>
          <!--input title: Vehicle Parameters-->
          <input>100</input>
        </target>
      </connection>
      <connection>
        <id>9</id>
        <source>
          <!--component title: AlgorithmLateral-->
          <component>4</component>
          <!--output title: Steering Signal-->
          <output>0</output>
        </source>
        <target>
          <!--component title: Action_SteeringModel-->
          <component>7</component>
          <!--input title: Steering Signal-->
          <input>0</input>
        </target>
      </connection>
      <connection>
        <id>10</id>
        <source>
          <!--component title: AlgorithmLongitudinal-->
          <component>3</component>
          <!--output title: Longitudinal Signal-->
          <output>0</output>
        </source>
        <target>
          <!--component title: Action_BrakeSystem-->
          <component>5</component>
          <!--input title: Longitudinal Signal-->
          <input>1</input>
			</target>
		 <target>
          <!--component title: Action_Powertrain-->
          <component>6</component>
          <!--input title: Longitudinal Signal-->
          <input>0</input>
        </target>
        <target>
          <!--component title: ActionLongitudinalDriver-->
          <component>14</component>
          <!--input title: Longitudinal Signal-->
          <input>0</input>
        </target>
      </connection>
      <connection>
        <id>12</id>
        <source>
          <!--component title: AlgorithmAgentFollowingDriverModel-->
          <component>2</component>
          <!--output title: Secondary Driver Tasks-->
          <output>1</output>
        </source>
        <target>
          <!--component title: ActionSecondaryDriverTasks-->
          <component>13</component>
          <!--input title: Secondary Driver Tasks-->
          <input>0</input>
        </target>
      </connection>
      <connection>
        <id>13</id>
        <source>
          <!--component title: AlgorithmAgentFollowingDriverModel-->
          <component>2</component>
          <!--output title: Acceleration Signal-->
          <output>2</output>
        </source>
        <target>
          <!--component title: AlgorithmLongitudinal-->
          <component>3</component>
          <!--input title: Acceleration Signal-->
          <input>0</input>
        </target>
      </connection>
      <connection>
        <id>14</id>
        <source>
          <!--component title: AlgorithmAgentFollowingDriverModel-->
          <component>2</component>
          <!--output title: Lateral Signal-->
          <output>0</output>
        </source>
        <target>
          <!--component title: AlgorithmLateral-->
          <component>4</component>
          <!--input title: Lateral Signal-->
          <input>0</input>
        </target>
      </connection>
	   <connection>
        <id>15</id>
        <source>
          <!--component title: Action_Powertrain-->
          <component>6</component>
          <!--output title: DriveTorqueTire-->
          <output>0</output>
        </source>
        <target>
          <!--component title: Dynamics_TireModel-->
          <component>8</component>
          <!--input title: Drive torque-->
          <input>0</input>
        </target>
      </connection>
      <connection>
        <id>16</id>
        <source>
          <!--component title: Action_BrakeSystem-->
          <component>5</component>
          <!--output title: WheelBrakeTorque-->
          <output>0</output>
        </source>
        <target>
          <!--component title: Dynamics_TireModel-->
          <component>8</component>
          <!--input title: brake torque-->
          <input>1</input>
        </target>
      </connection>
      <connection>
        <id>17</id>
        <source>
          <!--component title: Action_SteeringSystem-->
          <component>7</component>
          <!--output title: WheelAngle-->
          <output>0</output>
        </source>
        <target>
          <!--component title: Dynamics_TireModel-->
          <component>8</component>
          <!--input title: Wheel angle-->
          <input>2</input>
        </target>
        <target>
          <!--component title: Dynamics_TwoTrackMotionModel-->
          <component>9</component>
          <!--input title: Wheel angle-->
          <input>2</input>
        </target>
      </connection>
      <connection>
        <id>18</id>
        <source>
          <!--component title: Dynamics_TireModel-->
          <component>8</component>
          <!--output title: Wheel rotation rate-->
          <output>3</output>
        </source>
        <target>
          <!--component title: Action_Powertrain-->
          <component>6</component>
          <!--input title: WheelRotationRate-->
          <input>1</input>
        </target>
      </connection>
      <connection>
        <id>19</id>
        <source>
          <!--component title: Dynamics_TireModel-->
          <component>8</component>
          <!--output title: Longitudinal tire force-->
          <output>0</output>
        </source>
        <target>
          <!--component title: Dynamics_TwoTrackMotionModel-->
          <component>9</component>
          <!--input title: Longitudinal tire forces-->
          <input>0</input>
        </target>
      </connection>
      <connection>
        <id>20</id>
        <source>
          <!--component title: Dynamics_TireModel-->
          <component>8</component>
          <!--output title: Lateral tire force-->
          <output>1</output>
        </source>
        <target>
          <!--component title: Dynamics_TwoTrackMotionModel-->
          <component>9</component>
          <!--input title: Lateral tire forces-->
          <input>1</input>
        </target>
      </connection>
      <connection>
        <id>21</id>
        <source>
          <!--component title: Dynamics_TireModel-->
          <component>8</component>
          <!--output title: Self aligning torque-->
          <output>2</output>
        </source>
        <target>
          <!--component title: Dynamics_TwoTrackMotionModel-->
          <component>9</component>
          <!--input title: Wheel self aligning torque-->
          <input>3</input>
        </target>
      </connection>
      <connection>
        <id>22</id>
        <source>
          <!--component title: Dynamics_TwoTrackMotionModel-->
          <component>9</component>
          <!--output title: Inertia force vector-->
          <output>0</output>
        </source>
        <target>
          <!--component title: Dynamics_Chassis-->
          <component>10</component>
          <!--input title: InertiaForce-->
          <input>0</input>
        </target>
      </connection>
      <connection>
        <id>23</id>
        <source>
          <!--component title: Dynamics_Chassis-->
          <component>10</component>
          <!--output title: VerticalForce-->
          <output>0</output>
        </source>
        <target>
          <!--component title: Dynamics_TireModel-->
          <component>8</component>
          <!--input title: Vertical force on tires-->
          <input>3</input>
        </target>
      </connection>
	  
    </connections>
  </system>
</systems>
